<?php
session_start();

if(isset($_POST['iduzytkownika']) && isset($_POST['haslo']))
{
  // jeżeli użytkownik właśnie podjął próbę zalogowania
  $iduzytkownika = $_POST['iduzytkownika'];
  $haslo = $_POST['haslo'];

  $bd_lacz = new mysqli('localhost', 'uwierzytel', 'uwierzytel', 'uwierz');

  if (mysqli_connect_errno()) {
    echo 'Połączenie z bazą danych nie powiodło się: '.mysqli_connect_error();
    exit();
  }

  $zapytanie = "select * from uwierzytelnieni_uzytkownicy 
                where uzytkownik='".$iduzytkownika."' and
                haslo=sha1('".$haslo."')";

  $wynik = $bd_lacz->query($zapytanie);
  if($wynik->num_rows)
  {
    // jeżeli dane są w bazie, zarejestrowanie identyfikatora użytkownika
    $_SESSION['prawid_uzyt'] = $iduzytkownika;
  }
  $bd_lacz->close();
}
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8" />
  <title>Stron główna</title>
  <style type="text/css">
    fieldset {
       width: 50%;
       border: 2px solid #ff0000;
    }
    legend {
       font-weight: bold;
       font-size: 125%;
    }
    label {
       width: 125px;
       float: left;
       text-align: left;
       font-weight: bold;
    }
    input {
       border: 1px solid #000;
       padding: 3px;
    }
    button {
       margin-top: 12px;
    }
  </style>

</head>
<body>
<h1>Strona główna</h1>
<?php
  if(isset($_SESSION['prawid_uzyt']))
  {
    echo '<p>Użytkownik zalogowany jako: '.$_SESSION['prawid_uzyt'].' <br />';
    echo '<a href="wylog.php">Wylogowanie</a></p>';
  }
  else
  {
    if(isset($iduzytkownika))
    {
      // jeżeli próba logowania była nieudana
      echo '<p>Zalogowanie niemożliwe.</p>';
    }
    else
    {
      // nie było próby logowania lub nastąpiło wylogowanie
      echo '<p>Użytkownik niezalogowany.</p>';
    }
    // tworzenie formularza logowania
    echo '<form method="post" action="uwierz_glowny.php">';
    echo '<fieldset>';
    echo '<legend>Proszę się zalogować!</legend>';
    echo '<p><label for="iduzytkownika">Identyfikator użytkownika:</label>';
    echo '<input type="text" name="iduzytkownika" id="iduzytkownika" size="30"/></p>';
    echo '<p><label for="haslo">Hasło:</label>';
    echo '<input type="password" name="haslo" id="haslo" size="30"/></p>';    
    echo '</fieldset>';
    echo '<button type="submit" name="login">Logowanie</button>';
  }
?>
<br />
<a href="tylko_czlonkowie.php">Część członkowska</a>
</body>
</html>
